package com.hw.mes.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 工艺路线组成信息对象 mes_base_route_process
 *
 * @author Yinq
 * @date 2024-01-25
 */
public class MesBaseRouteProcess extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 工艺路线组成ID
     */
    private Long routeProcessId;

    /**
     * 工艺路线ID
     */
    @Excel(name = "工艺路线ID")
    private Long routeId;

    /**
     * 工序ID
     */
    @Excel(name = "工序ID")
    private Long processId;

    /**
     * 工艺路线顺序
     */
    @Excel(name = "工艺路线顺序")
    private Long processOrder;

    public void setRouteProcessId(Long routeProcessId) {
        this.routeProcessId = routeProcessId;
    }

    public Long getRouteProcessId() {
        return routeProcessId;
    }

    public void setRouteId(Long routeId) {
        this.routeId = routeId;
    }

    public Long getRouteId() {
        return routeId;
    }

    public void setProcessId(Long processId) {
        this.processId = processId;
    }

    public Long getProcessId() {
        return processId;
    }

    public void setProcessOrder(Long processOrder) {
        this.processOrder = processOrder;
    }

    public Long getProcessOrder() {
        return processOrder;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("routeProcessId", getRouteProcessId())
                .append("routeId", getRouteId())
                .append("processId", getProcessId())
                .append("processOrder", getProcessOrder())
                .append("remark", getRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
